Rensei docs
API ReferenceNotifications

Bind an app installation to the authenticated human.

Create or reconcile an exact bootstrap retry. Persist the installation identifier, operation identifier and CSPRNG-generated 32-byte proof securely before sending. The receipt grants no session access or push registration.

POST
/api/cli/live-activities/bindings

Authorization

headerAuthorizationBearer <WorkOS user access token>

WorkOS user access token created by the Rensei CLI. The authenticated organization is resolved from membership and may be narrowed with X-Rensei-Org.

Request Body

application/json
  1. body
installationId*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid
environment*string
Value in"production""sandbox"
bundleId*string
operationId*string
Match^[a-zA-Z0-9_-]{8,128}$
initialProof*string
Match^[a-fA-F0-9]{64}$

Response Body

Minimal binding receipt.

application/json
  1. response
id*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid
revision*integer
Range1 <= value <= 9007199254740991
replayed*boolean
Example Request
curl -X POST 'https://app.rensei.ai/api/cli/live-activities/bindings' \  -H 'Content-Type: application/json' \  -d '{  "installationId": "7a1bf939-4d70-4439-9ced-a3dbbce12bd7",  "environment": "production",  "bundleId": "ai.rensei.app",  "operationId": "string",  "initialProof": "string"}'
Example Response
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "revision": 1,  "replayed": true}